%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-cookie
Version:    0.1.2
Release:    2%{?dist}
Summary:    Cookie parsing and serialization for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/shtylman/node-cookie
Source0:    http://registry.npmjs.org/cookie/-/cookie-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-v%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
This Node.js module is a basic cookie parser and serializer. It doesn't
make assumptions about how you are going to deal with your cookies. It
basically just provides a way to read and write the HTTP cookie headers.

See RFC6265 for details about the HTTP header for cookies.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cookie
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/cookie

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%{nodejs_sitelib}/mocha/bin/mocha
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/cookie


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.2-1
- update to upstream release 0.1.2

* Sat Mar 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.1-1
- update to upstream release 0.1.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-3
- fix compatible arches for f18/el6

* Fri Jul 05 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-2
- restrict to compatible arches

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- update to upstream release 0.1.0

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.6-1
- update to upstream release 0.0.6
- enable %%check
- add LICENSE

* Tue Feb 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.5-2
- correct capitalization in the description

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.5-1
- initial package
